﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        WinformsMap1.BackgroundOverlay.BackgroundBrush = New GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean)

        Dim layerOverlay As LayerOverlay = New LayerOverlay()

        Dim worldLayer As ShapeFileFeatureLayer = New ShapeFileFeatureLayer("..\..\Data\Countries02.shp", ShapeFileReadWriteMode.[ReadOnly])
        worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.County1
        worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        layerOverlay.Layers.Add("WorldLayer", worldLayer)

        Dim mapShapeLayer As New MapShapeLayer()

        Dim mapShape1 As New MapShape(New Feature(-104, 42))
        mapShape1.ZoomLevels.ZoomLevel01.DefaultPointStyle = New PointStyle(New GeoImage("..\..\Data\Cargo Plane.png"))
        mapShape1.ZoomLevels.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        mapShapeLayer.MapShapes.Add("1", mapShape1)

        Dim mapShape2 As New MapShape(New Feature(104, 39))
        mapShape2.ZoomLevels.ZoomLevel01.DefaultPointStyle = New PointStyle(New GeoImage("..\..\Data\China.png"))
        mapShape2.ZoomLevels.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        mapShapeLayer.MapShapes.Add("2", mapShape2)

        worldLayer.Open()
        Dim feature3 As Feature = worldLayer.QueryTools.GetFeatureById("222", ReturningColumnsType.AllColumns)
        Dim mapShape3 As New MapShape(feature3)
        mapShape3.ZoomLevels.ZoomLevel01.DefaultAreaStyle = AreaStyles.Forest1
        mapShape3.ZoomLevels.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        mapShapeLayer.MapShapes.Add("3", mapShape3)

        Dim shape As BaseShape = New PointShape(-71, -52).GetShortestLineTo(New PointShape(38, 8), GeographyUnit.DecimalDegree)
        Dim mapShape4 As New MapShape(New Feature(shape))
        mapShape4.ZoomLevels.ZoomLevel01.DefaultLineStyle = LineStyles.ContestedBorder2
        mapShape4.ZoomLevels.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        mapShapeLayer.MapShapes.Add("4", mapShape4)

        layerOverlay.Layers.Add("MapShapeLayer", mapShapeLayer)

        WinformsMap1.Overlays.Add(layerOverlay)

        worldLayer.Open()
        WinformsMap1.CurrentExtent = worldLayer.GetBoundingBox()

        WinformsMap1.Refresh()

    End Sub
End Class
