﻿Imports ThinkGeo.MapSuite.Core

Namespace MapShapes
    Class MapShape
        Private m_feature As Feature
        Private zoomLevelSet As ZoomLevelSet

        Public Sub New()
            Me.New(New Feature())
        End Sub

        ' Let's use this as a handy constructor if you already have
        ' a feature or want to create one inline.
        Public Sub New(ByVal feature As Feature)
            Me.m_feature = feature
            zoomLevelSet = New ZoomLevelSet()
        End Sub

        '  This is the feature property, pretty simple.
        Public Property Feature() As Feature
            Get
                Return m_feature
            End Get
            Set(ByVal value As Feature)
                m_feature = value
            End Set
        End Property

        ' This is the Zoom Level Set.  This high level object has all of
        ' the logic in it for zoom levels, drawing and everything.
        Public Property ZoomLevels() As ZoomLevelSet
            Get
                Return zoomLevelSet
            End Get
            Set(ByVal value As ZoomLevelSet)
                zoomLevelSet = value
            End Set
        End Property

    End Class
End Namespace

